#ifndef CLIGHTDRIVERSOCKET_H
#define CLIGHTDRIVERSOCKET_H
#include "clightdriver.h"
#include "export_light_driver_impl.h"
class LIGHT_DRIVER_IMPL_EXPORT CLightDriverSocket : public CLightDriver
{
public:
    CLightDriverSocket(const QString& name,int32_t id);
	virtual ~CLightDriverSocket();

    // CBase interface
public:
    virtual QDomElement WriteConfig(QDomDocument &doc, QDomElement &root) override;
    virtual int ReadConfig(QDomElement &root) override;

public:
    virtual int32_t init_driver() override;
    virtual int32_t exit_driver() override;
	virtual void Serialize(QDataStream& stream,bool bwrite, int iVersion) override;
};

#endif // CLIGHTDRIVERSOCKET_H
